Download it now!
Bug 128500 - FILESAVE: DOC: Hyperlink is gone after RT
Summary: FILESAVE: DOC: Hyperlink is gone after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-10-31 12:33 UTC by Xisco Faulí
Modified: 2019-11-23 08:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (29.80 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-10-31 12:33 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-31 12:33:38 UTC
Created attachment 155425 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Save it as .DOC
3. Open the new created document in MSO. ( in my case I used MSO 2010 )

-> Hyperlink in first page is gone

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: 2d0a4182712673d8f7a5abe919cd2a1d5ece4a77
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-10-31 12:34:27 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7376a47680b65cbdfd747a736f288e06f51f7f2d

author	László Németh <nemeth@numbertext.org>	2019-05-28 13:49:01 +0200
committer	László Németh <nemeth@numbertext.org>	2019-05-28 16:38:44 +0200
commit	7376a47680b65cbdfd747a736f288e06f51f7f2d (patch)
tree	dd7305738117c83148027a914513f18977711994
parent	86cab846c1a122dd4dd5f5c4ca5750a0fc397c6b (diff)
tdf#92335 DOCX: fix multiplying of "ListLabel" styles

Bisected with: bibisect-linux64-6.3

Adding Cc: to László Németh
Comment 2 Xisco Faulí 2019-10-31 12:37:18 UTC
attachment 137391 [details] from bug 113544 is also affected
Comment 4 Xisco Faulí 2019-11-23 08:10:12 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: a96fd458a41eb0abcb6b02e0039189c877d4a502
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!